import { TestType, Test, PlyTest } from './test';
import { Logger } from './logger';
import { Runtime } from './runtime';
import { RunOptions } from './options';
import { Result } from './result';
export interface Case extends Test {
    readonly method: string;
}
export declare class PlyCase implements Case, PlyTest {
    readonly name: string;
    readonly method: string;
    readonly start: number;
    readonly end: number;
    readonly logger: Logger;
    type: TestType;
    constructor(name: string, method: string, start: number, end: number, logger: Logger);
    /**
     * Only to be called in the context of a Suite (hence 'runtime').
     * To execute a test programmatically, call one of the Suite.run() overloads.
     * Or to send a request without testing, call submit().
     * @returns result with request outcomes and status of 'Pending'
     */
    run(runtime: Runtime, values: object, runOptions?: RunOptions): Promise<Result>;
}
