export declare type CodeLine = {
    code: string;
    comment?: string;
};
export declare class Code {
    lines: CodeLine[];
    constructor(code: string, commentDelim: string);
    constructor(code: string[], commentDelim: string);
    /**
     * Removes trailing comments, along with any preceding whitespace.
     * Returns an array of objects (one for each line) to be passed to extractCode.
     */
    trimComments(inLines: string[], delim: string): CodeLine[];
    /**
     * All newlines are \n
     */
    extractCode(withComments?: boolean): string;
}
