import { CodeLine } from './code';
import { Logger } from './logger';
/**
 * jsdiff object
 */
export declare type Diff = {
    added?: boolean;
    removed?: boolean;
    ignored?: boolean;
    value: string;
    count: number;
};
export declare type Marker = {
    start: number;
    end: number;
    ignored?: boolean;
};
export declare class Compare {
    readonly logger: Logger;
    constructor(logger: Logger);
    /**
     * Diff results always contain \n newlines
     */
    diffLines(expected: string, actual: string, values: object): Diff[];
    /**
     * Diffs always have \n newlines
     */
    private convertToJsDiff;
    /**
     * Handles regex and @request/@response.
     */
    private markIgnored;
    /**
     * Used by ply-ui
     */
    mirrorDiffs(diffs: Diff[]): Diff[];
    /**
     * Used by ply-ui
     */
    markLines(start: number, lines: string[], ignored: boolean): Marker[];
    getMarkers(diffs: Diff[], lines: CodeLine[]): Marker[];
}
