import { Retrieval } from './retrieval';
import { Log } from './logger';
export declare type ImportFormat = 'postman';
export declare class Import {
    readonly format: ImportFormat;
    readonly root: string;
    readonly indent: number;
    readonly logger: Log;
    constructor(format: ImportFormat, root: string, indent: number, logger: Log);
    doImport(retrieval: Retrieval): Promise<void>;
}
export interface Importer {
    import(from: Retrieval): Promise<void>;
}
export declare class Postman implements Importer {
    readonly root: string;
    readonly indent: number;
    readonly logger: Log;
    private storagePathToRequestsObj;
    constructor(root: string, indent: number, logger: Log);
    import(from: Retrieval): Promise<void>;
    private baseName;
    private writeStorage;
    private processItem;
    private translateRequest;
    private replaceExpressions;
}
