import { Storage } from './storage';
export declare enum LogLevel {
    error = 0,
    info = 1,
    debug = 2
}
export declare class LogOptions {
    level: LogLevel;
    prettyIndent?: number;
}
export interface Log {
    info(message: string, obj?: any): void;
    error(message: string, obj?: any): void;
    debug(message: string, obj?: any): void;
    enabled: boolean;
}
export declare class Logger implements Log {
    storage?: Storage | undefined;
    enabled: boolean;
    private options;
    constructor(options?: LogOptions, storage?: Storage | undefined, append?: boolean);
    log(level: LogLevel, message: string, obj: any): void;
    info(message: string, obj?: any): void;
    error(message: string, obj?: any): void;
    debug(message: string, obj?: any): void;
    get level(): LogLevel;
    toString(): string;
}
