import { Location } from './location';
import { Storage } from './storage';
/**
 * Abstracts retrieval from either URL or {@link Storage}.
 */
export declare class Retrieval {
    readonly location: Location;
    /**
     * @param location file path or url (backslashes are replaced with slashes)
     */
    constructor(location: string);
    read(): Promise<string | undefined>;
    sync(): string | undefined;
    get exists(): Promise<boolean>;
    write(contents: string): void;
    append(contents: string): void;
    remove(): void;
    toString(): string;
    get storage(): Storage | undefined;
}
