import { Logger } from './logger';
import { PlyOptions, RunOptions } from './options';
import { Result } from './result';
import { Suite } from './suite';
import { Test } from './test';
import { Values } from './values';
/**
 * Runs ply tests per suite
 */
export declare class PlyRunner<T extends Test> {
    readonly options: PlyOptions;
    readonly suiteTests: Map<Suite<T>, string[]>;
    readonly plyValues: Values;
    private logger;
    /**
     * Results are for sequential execution
     */
    results: Result[];
    /**
     * Promises are for parallel execution
     */
    promises: Promise<Result[]>[];
    constructor(options: PlyOptions, suiteTests: Map<Suite<T>, string[]>, plyValues: Values, logger: Logger);
    runSuiteTests(values: object, runOptions?: RunOptions): Promise<void>;
    private delay;
}
