/// <reference types="node" />
import * as stream from 'stream';
import { Logger } from './logger';
export declare class Values {
    private readonly locations;
    private readonly logger;
    private rowsLoc;
    constructor(locations: string[], logger: Logger);
    get isRows(): boolean;
    read(): Promise<any>;
    getRowStream(): Promise<stream.Readable>;
}
/**
 * Reads entire csv file into rows in memory
 */
export declare const fromCsv: (file: string) => Promise<any[]>;
/**
 * Reads entire xlsx file into rows in memory
 */
export declare const fromXlsx: (file: string) => Promise<any[]>;
export interface RowConverter {
    convert(row: any[]): any;
}
export interface ConverterOptions {
    trimValues?: boolean;
    trimLabels?: boolean;
    inferPrimitiveTypes?: boolean;
    blankIsNull?: boolean;
    dateFormat?: string;
}
export declare type ValueType = string | number | boolean | Date | null;
export declare class DefaultRowConverter implements RowConverter {
    readonly names: string[];
    readonly options: ConverterOptions;
    constructor(names: any[], options?: ConverterOptions);
    splitName(name: string): string[];
    convert(row: any[]): any;
    /**
     * TODO: Date
     */
    getValue(str: string): ValueType;
}
